%define upstream_name    Template-Plugin-Latex
%define upstream_version 3.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    LaTeX plugin for the Template Toolkit
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(LaTeX::Driver) >= 0.70.0
BuildRequires: perl(LaTeX::Encode) >= 0.20.0
BuildRequires: perl(LaTeX::Table)
BuildRequires: perl(Template) >= 2.160.0
BuildArch:  noarch

%description
The Template::Latex module is a wrapper of convenience around the Template
module, providing additional support for generating PDF, PostScript and DVI
documents from LaTeX templates.

You use the Template::Latex module exactly as you would the Template
module.

    my $tt = Template::Latex->new(\%config);
    $tt->process($input, \%vars, $output)
        || die $t->error();

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Mon Mar 21 2022 umeabot <umeabot> 3.120.0-5.mga9
+ Revision: 1810317
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 3.120.0-4.mga8
+ Revision: 1506223
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 3.120.0-3.mga7
+ Revision: 1286255
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 3.120.0-2.mga7
+ Revision: 1166685
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 3.120.0-1.mga7
+ Revision: 1158030
- update to 3.12

* Sun May 08 2016 shlomif <shlomif> 3.80.0-1.mga6
+ Revision: 1010785
- update to 3.08

* Mon Feb 08 2016 umeabot <umeabot> 3.60.0-5.mga6
+ Revision: 949149
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 3.60.0-4.mga5
+ Revision: 789208
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 3.60.0-3.mga5
+ Revision: 742915
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 sander85 <sander85> 3.60.0-1.mga5
+ Revision: 640837
- update to 3.06

* Fri Feb 28 2014 jquelin <jquelin> 3.50.0-1.mga5
+ Revision: 597913
- update to 3.05

* Sat Oct 19 2013 umeabot <umeabot> 3.20.0-4.mga4
+ Revision: 522743
- Mageia 4 Mass Rebuild

* Tue Mar 26 2013 guillomovitch <guillomovitch> 3.20.0-3.mga3
+ Revision: 405348
- fix tests failure
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 3.20.0-1.mga1
+ Revision: 37204
- mageia rebuild
- imported package perl-Template-Plugin-Latex

